API documentation

The API documentation can be found as a Swagger UI at /api/docs.

Send command to implant

POST https:/YOURDOMAIN-OR-IP/api/commands/

This endpoint allows you to execute the command of choice on the implant of choice.

Request Body

Name
Type
Description

Implant ID

string

Provide the Implant ID

Implant Location

string

Provide the Implant Location

Implant Project

string

Provide the Implant Project

command

string

Provide the command

Get all mqtt data (WARNING: use this carefully)

GET htthttps:/YOURDOMAIN-OR-IP/api/data

Get all mqtt data from mariadb.

[{"value_timestamp": "2020-12-03T12:56:53.883", "value": "DUMPFULLSD", "topic_id": 1}, {"value_timestamp": "2020-12-03T13:08:05.422", "value": "DUMPFULLSD", "topic_id": 1}]

Get all mqtt topics

GET https:/YOURDOMAIN-OR-IP/api/topics

Get all mqtt topics from mariadb.

Create new implant config

POST https:/YOURDOMAIN-OR-IP/api/create/config

Create new config for new implant

Request Body

Name
Type
Description

Implant ID

string

Implant Project

string

Implant Location

string

Workhours (UTC)

string

Username

string

Password

string

Update implant config

POST https:/YOURDOMAIN-OR-IP/api/update/config

Path Parameters

Name
Type
Description

string

Delete implant config

POST https:/YOURDOMAIN-OR-IP/api/delete/config

Path Parameters

Name
Type
Description

string

Get implant configs

GET https:/YOURDOMAIN-OR-IP/api/get/config

Path Parameters

Name
Type
Description

string

Get topics for implant

GET https:/YOURDOMAIN-OR-IP/api/get/topics_implant

Path Parameters

Name
Type
Description

string

Download txt file with all mqtt data (including timestamps) for implant for given timeframe

GET https:/YOURDOMAIN-OR-IP/api/download/export

Path Parameters

Name
Type
Description

string

Last updated